from flask import render_template
from . import scheduler
from flask_login import current_user, login_required
from .. import background_scheduler
import json


@scheduler.route('/')
@login_required
def schedule():
    job = {
        'creator': current_user.id,
        'files': ['file_1', 'file_2', 'file_3'],
        'service': 'ocr',
        'args': {
            'lang': 'deu'
        }
    }
    job = background_scheduler.add_job(print, trigger='date', args=[job])
    print(job)
    return 'job'
